Arch Remove/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/ro")
(Updating to match new version of source page)
(2 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}

<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Arch Remove|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Remove|SeeAlso=[[Arch Add]]}}
{{GuiCommand|Name=Arch Remove|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Remove|SeeAlso=[[Arch Add]]}}
</div>


==Descriere==
==Descriere==
Line 8: Line 12:
* Scoateți un obiect bazat pe [[Part Module|shape]] dintr-o componentă Arch, cum ar fi [[Arch Wall|wall]] sau [[Arch Structure|structure]]
* Scoateți un obiect bazat pe [[Part Module|shape]] dintr-o componentă Arch, cum ar fi [[Arch Wall|wall]] sau [[Arch Structure|structure]]


The counterpart of this tool is the [[Arch Add]] tool.
[[Image:Arch Remove example.jpg|600px]]


[[Image:Arch Remove example.jpg|600px]]
<div class="mw-translate-fuzzy">
''In imaginea de mai sus, o casetă este extrasă dintr-un perete.''
''In imaginea de mai sus, o casetă este extrasă dintr-un perete.''
</div>


== Cum se folosește ==
== Cum se folosește ==


<div class="mw-translate-fuzzy">
# Selectați o subcomponentă în interiorul unui obiect Arch, '''sau''':
# Selectați o subcomponentă în interiorul unui obiect Arch, '''sau''':
# Selectați obiectul (obiectele) care trebuie scos, apoi componenta Arch din care trebuie să fie scăzută (componenta Arch trebuie să fie ultimul lucru pe care l-ați selectat)
# Selectați obiectul (obiectele) care trebuie scos, apoi componenta Arch din care trebuie să fie scăzută (componenta Arch trebuie să fie ultimul lucru pe care l-ați selectat)
# Apăsați butonul {{KEY|[[Image:Arch Remove.png|16px]] '''Remove'''}}
# Apăsați butonul {{KEY|[[Image:Arch Remove.png|16px]] '''Remove'''}}
</div>


Or
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Press the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove|Remove]]}} button.

<div class="mw-translate-fuzzy">
== Scrip-Programare ==
== Scrip-Programare ==
</div>


<div class="mw-translate-fuzzy">
Instrumentul Remove poate fi folosit în [[macros]] și din consola python utilizând următoarea funcție:
Instrumentul Remove poate fi folosit în [[macros]] și din consola python utilizând următoarea funcție:
</div>
'''removeComponents (objectsList,[hostObject])'''
{{Code|code=
removeComponents(objectsList, host=None)
}}

<div class="mw-translate-fuzzy">
* elimină componenta dată sau componentele din lista dată de la părinți ei. Dacă este specificat un obiect gazdă, această funcție va încerca să adauge componentele ca găuri la obiectul gazdă.
* elimină componenta dată sau componentele din lista dată de la părinți ei. Dacă este specificat un obiect gazdă, această funcție va încerca să adauge componentele ca găuri la obiectul gazdă.
Exemplu:
Exemplu:
</div>

Example:
{{Code|code=
{{Code|code=
import FreeCAD, Arch, Draft, Part
import FreeCAD, Draft, Arch

line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
wall = Arch.makeWall(line)
Wall = Arch.makeWall(Line, width=150, height=3000)
box = Part.makeBox(1,1,1)

Arch.addComponents(box,wall)
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Arch.removeComponents(box)
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
}}
}}
{{docnav|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}

{{Arch Tools navi}}


{{Userdocnavi}}
[[Category:Arch/ro]]

Revision as of 22:39, 9 February 2019

Arch Remove

Menu location
Arch → Remove
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Add

Descriere

Instrumentele de eliminare vă permit să efectuați două tipuri de operații:

  • Eliminați o subcomponentă dintr-un obiect Arch, de exemplu, scoateți o cutie adăugată pe un perete, ca în exemplul Arch Add
  • Scoateți un obiect bazat pe shape dintr-o componentă Arch, cum ar fi wall sau structure

The counterpart of this tool is the Arch Add tool.

In imaginea de mai sus, o casetă este extrasă dintr-un perete.

Cum se folosește

  1. Selectați o subcomponentă în interiorul unui obiect Arch, sau:
  2. Selectați obiectul (obiectele) care trebuie scos, apoi componenta Arch din care trebuie să fie scăzută (componenta Arch trebuie să fie ultimul lucru pe care l-ați selectat)
  3. Apăsați butonul Remove

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the Remove button.

Scrip-Programare

Instrumentul Remove poate fi folosit în macros și din consola python utilizând următoarea funcție:

removeComponents(objectsList, host=None)
  • elimină componenta dată sau componentele din lista dată de la părinți ei. Dacă este specificat un obiect gazdă, această funcție va încerca să adauge componentele ca găuri la obiectul gazdă.

Exemplu:

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()